Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156230 - lablgtk - FC4 rebuild failed
Summary: lablgtk - FC4 rebuild failed
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lablgtk
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: GĂ©rard Milmeister
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE4Target 158645
TreeView+ depends on / blocked
 
Reported: 2005-04-28 13:15 UTC by Michael Schwendt
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-29 03:42:31 UTC


Attachments (Terms of Use)
Patch for gcc4 build (deleted)
2005-05-10 10:16 UTC, Ignacio Vazquez-Abrams
no flags Details | Diff

Description Michael Schwendt 2005-04-28 13:15:09 UTC
This package failed to rebuild for FC4 Development around 2005-04-11 after an
automated release bump.

Build failure logs at: http://fedoraproject.org/extras/development/build-logs/

Comment 1 Ignacio Vazquez-Abrams 2005-05-10 10:16:12 UTC
Created attachment 114198 [details]
Patch for gcc4 build

Give this one a try.

Comment 2 Toshio Kuratomi 2005-05-22 21:49:27 UTC
Hey Ignacio, I was looking at your fix:
 
-  Pointer_val(*glob_root) = NULL;
+  Field(*glob_root, 1) = NULL;

and found that it still throws a (harmless?) warning:

ml_panel.c: In function 'weak_notify':
ml_panel.c:131: warning: assignment makes integer from pointer without a cast

Is there some reason the folloning is incorrect?

 static void weak_notify(gpointer data, GObject *applet)
 {
   value *glob_root = data;
-  Pointer_val(*glob_root) = NULL;
+  *glob_root = (value)NULL;
   ml_global_root_destroy(glob_root);
 }

Casting has always been my least favorite area of C so I thought running it by
you first would be best.

Comment 3 Ignacio Vazquez-Abrams 2005-05-23 03:19:00 UTC
Your code is incorrect because it replaces the entire contents as opposed to jus
that one field. You can assign 0 instead of NULL if you want to ditch that last
warning.

Comment 4 Toshio Kuratomi 2005-05-23 10:44:20 UTC
Thanks, I'll change it to this:
  Field(*glob_root, 1) = 0;

Comment 5 Colin Charles 2005-05-24 16:52:46 UTC
changed arch to all. unison rebuild fails because of this.

Comment 6 Toshio Kuratomi 2005-05-25 15:20:49 UTC
Hmm - the value type is defined in <caml/mlvales.h>:
  typdef long value;
So that means glob_root is pointing at a 64 bit integer (on x86_64).  This seems
to be the most expressive way to put it:
  Field(*glob_root, 1) = (long)NULL;
Does that seem right to you?

Comment 7 Ignacio Vazquez-Abrams 2005-05-25 16:54:04 UTC
Honestly, I don't know enough about Ocaml's internals to say yes or no wrt that.
If it works, then feel free to use it.

Comment 8 Toshio Kuratomi 2005-05-26 19:14:34 UTC
Patch added and submitted for build

Comment 9 Toshio Kuratomi 2005-05-28 21:42:05 UTC
This has been built -- 2.4.0-5


Note You need to log in before you can comment on or make changes to this bug.